TAAS - Feature #8

Currency Master
08/03/2022 03:03 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 08/03/2022
Priority: Normal Due date: 08/05/2022
Assignee: Vivekp V % Done: 90%
Category: Estimated time: 16:00 hours
Target version: 22.12 Spent time: 0:06 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 20.00 Code Reviewed By:  Shanto Shaji
Module: Currency

Description

Coding Currency Master

History

#1 - 08/03/2022 03:11 PM - Anil KV

public IstCurrencyMagnitude: any[] =[ { "chrld": "B", "strLabel": "...Million -> Billion", "bInDisable": false, "blnActive": true, "strRemarks": "Crore -
10000000, Lakh - 100000, Thousand - 1000, Hundred - 100"},  { "chrld": "C", "strLabel": "...Lakh -> Crore", "bInDisable": false, "blnActive": false,
"strRemarks": "Billion - 100000000, Million - 1000000, Thousand - 1000, Hundred - 100" }

l;

from GlobalDataService

#2 - 08/03/2022 06:15 PM - Anil KV
- File deleted (2-tsModel.txt)

- File deleted (1-CsModel.txt)

- File deleted (3-CsFile.txt)

- File deleted (4-CsControllerFile.txt)
- File deleted (5-TsFile.txt)

- File deleted (6-HtmlFile.txt)

- File deleted (sql.txt)

#3 - 08/03/2022 06:15 PM - Anil KV
- File 1-CsModel.txt added

- File 2-tsModel.txt added

- File 3-CsFile.txt added

- File 4-CsControllerFile.txt added

- File 5-TsFile.txt added

- File 6-HtmliFile.txt added

- File sql.txt added

#4 - 08/03/2022 06:27 PM - Muhasin PU
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#5 - 08/08/2022 05:57 PM - Muhasin PU

- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

- Time Taken(HH) set to 20.00
#6 - 08/09/2022 02:52 PM - Muhasin PU

- Module set to Currency

#7 - 08/23/2022 10:06 AM - Shanto Shaji

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Shanto Shayji

- Code Reviewed By set to Shanto Shaji

Currency Symbol Validation Error (Must set max length in html Also)

#8 - 08/23/2022 10:34 AM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 08/23/2022 10:36 AM - Muhasin PU
Design Validation Done & Bug Fixed.

#10 - 08/23/2022 11:06 AM - Shanto Shaji
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Remove Unwanted Code From Html (Autocomplete Related)

#11 - 08/23/2022 11:11 AM - Shanto Shaji

Currency.cs Error Code Numbering

#12 - 08/23/2022 12:10 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Remove unwanted codes Completed.

#13 - 08/23/2022 12:11 PM - Shanto Shaji

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Started

- % Done changed from 60 to 70

#14 - 08/23/2022 12:11 PM - Shanto Shaji

- Status changed from Reopen Bugs Testing Started to Reopen Bugs Testing Done

- % Done changed from 70 to 80

#15 - 11/08/2022 04:59 PM - Amal Cyriac

- Status changed from Reopen Bugs Testing Done to Reopen Bugs
- % Done changed from 80 to 50

- Tested By changed from Shanto Shaji to Amal Cyriac

ISSUE FOUND *****
1.SET VALIDATION ON PRECISION TABS

#16 - 11/10/2022 01:18 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Validation Fixed.
#17 - 11/11/2022 04:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET DECIMEL POINT VALIDATION

#18 - 11/28/2022 10:28 AM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bug Fixed.

#19 - 11/29/2022 05:37 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET DECIMEL POINT VALIDATION

(GUI CRASHING WHEN TYPING NUMBERS IN DECIMAL POINT INPUT BOX)

#20 - 11/30/2022 03:26 PM - Muhasin PU
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

ISSUE FIXED.

#21 - 11/30/2022 05:19 PM - Muhasin PU

- Status changed from Particialy Coding Done to Reopen Bugs Coding Done

- % Done changed from 40 to 60

#22 - 03/04/2023 12:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Set Validation on Precision
(Object reference not set to an instance of an object.)

#23 - 03/04/2023 04:13 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

SOLVED.

#24 - 05/10/2023 03:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.While save new currency check system settings "Allow Multi currency" Value.

Prevent save if value is false

#25 - 05/10/2023 05:56 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
CHANGES APPLIED.

e Checking Multi Currency Based on System Settings
e Auto Fill Based on Currency Code from Service List.
* InFo Message Added.

#26 - 05/30/2023 06:45 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Prevent create /add currency based on permissions from system settings

#27 - 05/31/2023 10:46 AM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

No issues From Currency, System settings Changed.

#28 - 07/14/2023 04:41 PM - Seema Mathew

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Muhasin PU to Junaid M

- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to Seema Mathew
ISSUE FOUNDED

1.CAN SAVE MANDATORY FIELD WITHOUT VALIDATION
#29 - 09/26/2023 01:28 PM - Junaid M

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#30 - 10/07/2023 11:31 AM - unnikannan S
TESTING DONE

#31 - 10/18/2023 06:01 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

D 1.DONT ALLOW TO DELETE CURRENCY THAT ALRADY USED IN TRANSACTION RELATED MODULES
#32 - 11/14/2023 07:14 PM - Junaid M

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#33 - 02/22/2024 04:40 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.BLOCK DELETION IF THE CURRENCY WAS USED IN ANY ACCOUNT
2.CHANGE MESSAGE OF PRECISION ADDING MORE THAN ALIMIT
#34 - 02/26/2024 05:09 PM - Junaid M
- Assignee changed from Junaid M to Vivekp V

#35 - 02/27/2024 10:00 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.BLOCK DELETION IF THE CURRENCY WAS USED IN ANY ACCOUNT
2.CHANGE MESSAGE OF PRECISION ADDING MORE THAN ALIMIT

#36 - 02/27/2024 10:08 AM - unnikannan S
TESTING DONE

#37 - 03/14/2024 05:29 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.PRECISION VALUE SHOWING ONLY IN FOCUS OUT FROM PRECISION FIELD (ON DEFAULT CURRENCYS)

#38 - 03/14/2024 05:45 PM - Vivekp V
ISSUE FIXED

1.PRECISION VALUE SHOWING ONLY IN FOCUS OUT FROM PRECISION FIELD (ON DEFAULT CURRENCYS)

#39 - 03/14/2024 05:45 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#40 - 03/15/2024 10:51 AM - unnikannan S
TESTING DONE

#41 - 09/24/2024 04:34 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1) Can change code of already used currency.
2) On edit, If code of currency not from jason then it cannot be changed.

#42 - 09/25/2024 10:27 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1) Can change code of already used currency.
2) On edit, If code of currency not from jason then it cannot be changed.

#43 - 09/25/2024 02:23 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#44 - 10/28/2024 02:41 PM - Junaid M
New Changes DONE
1 - Add "Arabic Major Unit", "Arabic Minor Unit" textbox after minor Unit widget.
use Db filed vhr_ar_major_unit, vhr_ar_minor_unit.

#45 - 10/28/2024 02:41 PM - Junaid M
- Status changed from Testing Done to New Changes

- % Done changed from 90 to 50

#46 - 10/29/2024 10:22 AM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#47 - 11/11/2024 01:20 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1.Clear The Red Outerline From Symbol/Position Field
2.Missing RedStar In Precision Field

#48 - 11/11/2024 05:21 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#49 - 11/12/2024 06:35 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

2-tsModel.txt 1.3 KB 08/03/2022 Anil KV
1-CsModel.txt 2.43 KB 08/03/2022 Anil KV
3-CsFile.txt 14.1 KB 08/03/2022 Anil KV
4-CsControllerFile.txt 24.1 KB 08/03/2022 Anil KV
5-TsFile.txt 14.1 KB 08/03/2022 Anil KV
6-HtmlFile.txt 1.89 KB 08/03/2022 Anil KV
sql.txt 15 KB 08/03/2022 Anil KV
